aboutsummaryrefslogtreecommitdiff
path: root/PlugUpdate.sh
diff options
context:
space:
mode:
authorTucker Evans <tuckerevans24@gmail.com>2018-01-18 02:10:38 -0500
committerTucker Evans <tuckerevans24@gmail.com>2018-01-18 02:10:38 -0500
commit9e7af4fefe25d4b16b894e42406886f97705e9a9 (patch)
tree9057dc36abe7eabc9b5fd801fa57e8e636b8d46f /PlugUpdate.sh
parent1aed5e2d67d7a54afdd667899e964b86c5dc5013 (diff)
Created scripts to automate vim plugins management
All scripts commit the changes.
Diffstat (limited to 'PlugUpdate.sh')
-rwxr-xr-xPlugUpdate.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/PlugUpdate.sh b/PlugUpdate.sh
new file mode 100755
index 0000000..165219a
--- /dev/null
+++ b/PlugUpdate.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+if [ "$PWD" != "$HOME/dotfiles" ]
+then
+ echo "Must be run in $HOME/dotfiles"
+ exit 1
+fi
+
+
+while getopts o opt; do
+ if [ "$opt" == "h" ]
+ then
+ nroff .PlugHelp.tr
+ exit 0
+ fi
+done
+
+git submodule update --remote --merge && \
+git commit -m"Updated vim plugins." && echo "Success"